[all]
copyright=(C) 20013, cFos Software GmbH
designer=Ingo Guenther
version=cFosSkin V1.0
name=Metro;Light
type=net,comport
background=background_light.png
main_rect=128,0,248,120
blend_time=300
blend_out_time=500
transparentcolor=255,0,0
x_ofs=25
y_ofs=30
display_key15=disp_button_slide_out
display_key16=disp_button_slide_in

; background small mode
[disp_small_left]
value=open
method=animation
rect=0,0,129,120
bitmap=left_light.png
frames=1
force_blit=1

; text displays

; ping time
[disp_text_ping]
method=text
value=ping_time
digits=3
rect=180,32,244,52
fontname=Segoe UI
fontsize=18
fontweight=bold
fontcolor=255,255,255
format=r
flags=br
style=e
updatetime=200

; tcp / udp count
[disp_text_tcp_udp]
method=text
value=tcp_udp_cnt
digits=3
rect=180,52,244,72
fontname=Segoe UI
fontsize=18
fontweight=bold
fontcolor=255,255,0
format=r
flags=br
updatetime=200

; tx cps
[disp_text_tx_cps]
method=text
value=tx_cps
cut_off=300
digits=5
rect=180,72,244,92
fontname=Segoe UI
fontsize=18
fontweight=bold
fontcolor=60,240,40
style=d
decimals=1
flags=b
format=r
updatetime=200

; rx cps
[disp_text_rx_cps]
method=text
value=rx_cps
cut_off=300
digits=5
rect=180,92,244,112
fontname=Segoe UI
fontsize=18
fontweight=bold
fontcolor=240,150,50
style=d
decimals=1
flags=b
format=r
updatetime=200

; ip distribution

; ip distribution
[disp_graph_ip]
method=animation
value=perc_v6
rect=187,58,204,71
bitmap=bar_ip.png
min=0
max=100
frames=11
updatetime=400

; bar graphs small mode

; rx speed nettalk
[disp_graph_total_rx]
method=animation
value=total_rx_speed
rect=138,9,156,113
bitmap=frame_100.png
min=0
max=100
frames=51
updatetime=400
alpha_val=128
transform1=60,254,254,61,255,255,32,254,254,33,255,255

; rx speed local
[disp_graph_rx]
method=animation
value=rx_speed
rect=140,11,154,111
bitmap=bar_100.png
min=0
max=100
frames=1
break1=1
frames2=50
updatetime=400
transform1=60,254,254,61,255,255,32,254,254,33,255,255

; tx speed nettalk
[disp_graph_total_tx]
method=animation
value=total_tx_speed
rect=162,9,180,113
bitmap=frame_100.png
min=0
max=100
frames=51
updatetime=400
alpha_val=128
transform1=60,254,254,61,255,255,114,211,239,115,212,240

; tx speed local
[disp_graph_tx]
method=animation
value=tx_speed
rect=164,11,178,111
bitmap=bar_100.png
min=0
max=100
frames=1
break1=1
frames2=50
updatetime=400
transform1=60,254,254,61,255,255,114,211,239,115,212,240

; bar graphs large mode

; tx total history
[disp_total_tx_history]
value=total_tx_speed
method=history
updatetime=720
historysize=9
hdisp1=tx_h1_f
hdisp2=tx_h2_f
hdisp3=tx_h3_f
hdisp4=tx_h4_f
hdisp5=tx_h5_f
hdisp6=tx_h6_f
hdisp7=tx_h7_f
hdisp8=tx_h8_f
hdisp9=tx_h9_f
enabled=0

[tx_h1_f]
method=animation
rect=8,9,26,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=66

[tx_h2_f]
method=animation
rect=27,9,45,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=72

[tx_h3_f]
method=animation
rect=46,9,64,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=78

[tx_h4_f]
method=animation
rect=65,9,83,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=84

[tx_h5_f]
method=animation
rect=84,9,102,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=90

[tx_h6_f]
method=animation
rect=103,9,121,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=96

[tx_h7_f]
method=animation
rect=122,9,140,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=102

[tx_h8_f]
method=animation
rect=141,9,159,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=108

[tx_h9_f]
method=animation
rect=160,9,178,58
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=128

; tx history
[disp_tx_history]
value=tx_speed
method=history
updatetime=720
historysize=9
hdisp1=tx_h1_b
hdisp2=tx_h2_b
hdisp3=tx_h3_b
hdisp4=tx_h4_b
hdisp5=tx_h5_b
hdisp6=tx_h6_b
hdisp7=tx_h7_b
hdisp8=tx_h8_b
hdisp9=tx_h9_b
enabled=0

[tx_h1_b]
method=animation
rect=10,11,24,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=126

[tx_h2_b]
method=animation
rect=29,11,43,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=139

[tx_h3_b]
method=animation
rect=48,11,62,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=152

[tx_h4_b]
method=animation
rect=67,11,81,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=165

[tx_h5_b]
method=animation
rect=86,11,100,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=178

[tx_h6_b]
method=animation
rect=105,11,119,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=191

[tx_h7_b]
method=animation
rect=124,11,138,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=204

[tx_h8_b]
method=animation
rect=143,11,157,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240
alpha_val=217

[tx_h9_b]
method=animation
rect=162,11,176,56
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,114,211,239,115,212,240

; rx total history
[disp_total_rx_history]
value=total_rx_speed
method=history
updatetime=720
historysize=9
hdisp1=rx_h1_f
hdisp2=rx_h2_f
hdisp3=rx_h3_f
hdisp4=rx_h4_f
hdisp5=rx_h5_f
hdisp6=rx_h6_f
hdisp7=rx_h7_f
hdisp8=rx_h8_f
hdisp9=rx_h9_f
enabled=0

[rx_h1_f]
method=animation
rect=8,64,26,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=66

[rx_h2_f]
method=animation
rect=27,64,45,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=72

[rx_h3_f]
method=animation
rect=46,64,64,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=78

[rx_h4_f]
method=animation
rect=65,64,83,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=84

[rx_h5_f]
method=animation
rect=84,64,102,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=90

[rx_h6_f]
method=animation
rect=103,64,121,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=96

[rx_h7_f]
method=animation
rect=122,64,140,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=102

[rx_h8_f]
method=animation
rect=141,64,159,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=108

[rx_h9_f]
method=animation
rect=160,64,178,113
bitmap=frame_45.png
min=0
max=100
frames=46
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=128

; rx history
[disp_rx_history]
value=rx_speed
method=history
updatetime=720
historysize=9
hdisp1=rx_h1_b
hdisp2=rx_h2_b
hdisp3=rx_h3_b
hdisp4=rx_h4_b
hdisp5=rx_h5_b
hdisp6=rx_h6_b
hdisp7=rx_h7_b
hdisp8=rx_h8_b
hdisp9=rx_h9_b
enabled=0

[rx_h1_b]
method=animation
rect=10,66,24,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=126

[rx_h2_b]
method=animation
rect=29,66,43,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=139

[rx_h3_b]
method=animation
rect=48,66,62,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=152

[rx_h4_b]
method=animation
rect=67,66,81,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=165

[rx_h5_b]
method=animation
rect=86,66,100,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=178

[rx_h6_b]
method=animation
rect=105,66,119,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=191

[rx_h7_b]
method=animation
rect=124,66,138,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=204

[rx_h8_b]
method=animation
rect=143,66,157,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255
alpha_val=217

[rx_h9_b]
method=animation
rect=162,66,176,111
bitmap=bar_45.png
min=0
max=100
frames=1
break1=1
frames2=45
transform1=60,254,254,61,255,255,32,254,254,33,255,255

; graphic buttons

; current connections
[disp_conn_button]
method=activearea
rect=187,9,205,23
bitmap=button_console.png
action=exec
target=mshta.exe
parameters="~p\pub\console.htm"
regions=0
blend_in=128
blend_time=200

; switch on low latency lock
[disp_lock_on_button]
method=activearea
rect=207,9,225,23
bitmap=button_latency_off.png
action=spdcmd
target=gset latency 1 -save
blend_in=128
blend_time=200
regions=0
enabled=0

; switch off low latency lock
[disp_lock_off_button]
method=activearea
rect=207,9,225,23
bitmap=button_latency_on.png
action=spdcmd
target=gset latency 2 -save
blend_in=128
blend_time=200
regions=0
enabled=0
ofs_x=2
ofs_y=2

; activate low latency lock on switch
[disp_lock_on_activate]
method=activate
value=latency_mode
min=2
max=2
target=disp_lock_on_button

;activate low latency locked / lock off switch
[disp_lock_off_activate]
method=activate
value=latency_mode
min=1
max=1
target=disp_lock_off_button

; close window
[disp_close_button]
method=activearea
rect=227,9,242,24
bitmap=button_close.png
action=minimize
regions=0
blend_in=128
blend_time=200

; slide out
[disp_button_slide_out]
method=activearea
rect=129,1,148,119
bitmap=button_slide_out.png
action=toggle
target=disp_small_left,disp_button_slide_in,disp_graph_rx,disp_rx_history,disp_graph_tx,disp_tx_history,disp_graph_total_rx,disp_total_rx_history,disp_graph_total_tx,disp_total_tx_history,disp_button_slide_out
regions=0
blend_in=128
blend_time=200

; slide in
[disp_button_slide_in]
method=activearea
rect=1,1,20,119
bitmap=button_slide_in.png
action=toggle
target=disp_small_left,disp_button_slide_in,disp_graph_rx,disp_rx_history,disp_graph_tx,disp_tx_history,disp_graph_total_rx,disp_total_rx_history,disp_graph_total_tx,disp_total_tx_history,disp_button_slide_out
regions=0
enabled=0
blend_in=128
blend_time=200

; skin info
[disp_button_info]
method=activearea
value=open
rect=164,38,212,86
bitmap=button_info.png
action=exec
target=http://www.cfos.de/$l/cfosspeed/documentation/status.htm
regions=0
blend_in=128
blend_time=200

; expired
[disp_expired]
value=expired
method=animation
bitmap=expired.png
rect=133,6,241,114
min=0
max=1
frames=2

; activate message button
[disp_activate_message]
products=cfosspeed
method=activate
value=msg_avail
min=1
max=1
target=disp_button_message

; message
[disp_button_message]
products=cfosspeed
method=activearea
bitmap=button_message.png
rect=133,34,243,115
action=show_message
print_allowed=0
regions=0
blend_in=128
blend_time=200

;assert
[disp_assert]
value=assert_count
method=animation
bitmap=assert.png
rect=134,31,242,98
min=0
max=1
frames=2
